Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.GIOP
Class MsgType_1_1

    java.lang.Object
      |
      +--org.omg.GIOP.MsgType_1_1

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class MsgType_1_1
extends java.lang.Object
implements IDLEntity

Enum definition : MsgType_1_1

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`static int` | `_CancelRequest` Enum member CancelRequest value
`static int` | `_CloseConnection` Enum member CloseConnection value
`static int` | `_Fragment` Enum member Fragment value
`static int` | `_LocateReply` Enum member LocateReply value
`static int` | `_LocateRequest` Enum member LocateRequest value
`static int` | `_MessageError` Enum member MessageError value
`static int` | `_Reply` Enum member Reply value
`static int` | `_Request` Enum member Request value
`static MsgType_1_1` | `CancelRequest` Enum member CancelRequest
`static MsgType_1_1` | `CloseConnection` Enum member CloseConnection
`static MsgType_1_1` | `Fragment` Enum member Fragment
`static MsgType_1_1` | `LocateReply` Enum member LocateReply
`static MsgType_1_1` | `LocateRequest` Enum member LocateRequest
`static MsgType_1_1` | `MessageError` Enum member MessageError
`static MsgType_1_1` | `Reply` Enum member Reply
`static MsgType_1_1` | `Request` Enum member Request

Method Summary
`static MsgType_1_1` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _Request

    public static final int _Request

  Enum member Request value

### Request

    public static final MsgType_1_1 Request

  Enum member Request

### _Reply

    public static final int _Reply

  Enum member Reply value

### Reply

    public static final MsgType_1_1 Reply

  Enum member Reply

### _CancelRequest

    public static final int _CancelRequest

  Enum member CancelRequest value

### CancelRequest

    public static final MsgType_1_1 CancelRequest

  Enum member CancelRequest

### _LocateRequest

    public static final int _LocateRequest

  Enum member LocateRequest value

### LocateRequest

    public static final MsgType_1_1 LocateRequest

  Enum member LocateRequest

### _LocateReply

    public static final int _LocateReply

  Enum member LocateReply value

### LocateReply

    public static final MsgType_1_1 LocateReply

  Enum member LocateReply

### _CloseConnection

    public static final int _CloseConnection

  Enum member CloseConnection value

### CloseConnection

    public static final MsgType_1_1 CloseConnection

  Enum member CloseConnection

### _MessageError

    public static final int _MessageError

  Enum member MessageError value

### MessageError

    public static final MsgType_1_1 MessageError

  Enum member MessageError

### _Fragment

    public static final int _Fragment

  Enum member Fragment value

### Fragment

    public static final MsgType_1_1 Fragment

  Enum member Fragment

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static MsgType_1_1 from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD